
const fileBase = require('./fileBase')
const isFunction = require('lodash')
const { app, BrowserWindow, ipcMain } = require('electron')

const mainApis = [
  fileBase
]

function init() {
  mainApis.forEach(fns => {
    Object.entries(fns).forEach(([fnName, fn]) => {
      if (isFunction(fn)) {
        ipcMain.on(fnName, fn)
      }
    })
  })
}

module.exports = init